<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet href="http://webpress.provo.novell.com/samplexml/sampledescription.xsl" type="text/xsl"?>
<!DOCTYPE samplecode SYSTEM "http://webpress.provo.novell.com/samplexml/sampledescription.dtd">

<samplecode title="SMS Developer Components" shortname="smscomp">
    <createDate>Aug 15 2004</createDate>
    <modifyDate>Aug 15 2004</modifyDate>
    <description><![CDATA[See <A href="../smscomp_sample/index.htm" target=_top>SMS Developer Components Sample Code</A> for information about samples that demonstrate common Novell SMS operations.<br/>Descriptions for each sample follow:]]></description>
    <section>
        <file name="de.h" path="de">
            <description>
                <![CDATA[Demonstration engine header for internal structure and function declarations.<br/>
                Platform:NetWare and Linux]]>
            </description>
        </file>

        <file name="decluster.h" path="de">
            <description>
                <![CDATA[Demonstration engine header for cluster related declarations.<br/>
                Platform:NetWare and Linux]]>
            </description>
        </file>
        <file name="deoslib.h" path="de">
            <description>
                <![CDATA[OS specific abstraction declarations.<br/>
                Platform:NetWare and Linux]]>
            </description>
        </file>
        <file name="smuni.c" path="de">
            <description>
                <![CDATA[Implements UTF-8 Conversion and UTF-8 string premitives for NetWare.<br/>
                Platform:NetWare and Linux]]>
            </description>
        </file>
        <file name="smsuni.h" path="de">
            <description>
                <![CDATA[Cross platform Unicode and UTF-8 function abstraction declarations.<br/>
                Platform:NetWare and Linux]]>
            </description>
        </file>
        <file name="DeMain.c" path="de">
            <description>
                <![CDATA[Implements a demonstration engine using SMS interfaces.<br/>
                Platform:NetWare and Linux]]>
            </description>
        </file>
        <file name="deoslib.c" path="de">
            <description>
                <![CDATA[Implements OS specific functionality abstraction that is required by the Demonstration Engine.<br/>
                Platform: NetWare]]>
            </description>
        </file>
        <file name="DemoEngine.html" path="de">
            <description>
                <![CDATA[Contains information related to DE usage.]]>
            </description>
        </file>
        <file name="DeUtil.c" path="de">
            <description>
                <![CDATA[Demonstration engine utility functions.<br/>
                Platform:NetWare and Linux]]>
            </description>
        </file>
        <file name="Makefile" path="de">
            <description>
                <![CDATA[Build specification file for building Demonstration Engine using WATCOM for NetWare.]]>
            </description>
        </file>
        <file name="tsatest.c" path="tatest">
            <description>
                <![CDATA[SMS interface performance analyzer main routines.<br/>
                Platform:NetWare]]>
            </description>
        </file>
        <file name="TSATest.h" path="tatest">
            <description>
                <![CDATA[TSATEST macros and global declarations.<br/>
                Platform:NetWare]]>
            </description>
        </file>
        <file name="tsatest.htm" path="tatest">
            <description>
                <![CDATA[Contains information related to TSATest usage.]]>
            </description>
        </file>
        <file name="ttbackup.c" path="tatest">
            <description>
                <![CDATA[Backup related routines for TSATEST.<br/>
                Platform:NetWare]]>
            </description>
        </file>
        <file name="ttdisplay.c" path="tatest">
            <description>
                <![CDATA[Display routines for TSATEST.<br/>
                Platform:NetWare]]>
            </description>
        </file>
        <file name="Makefile" path="tatest">
            <description>
                <![CDATA[Build specification file for building TSATEST using WATCOM compiler for NetWare platform.]]>
            </description>
        </file>
    </section>
</samplecode>